Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class UndoAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.StackAction
              org.eclipse.gef.ui.actions.UndoAction

public class UndoAction
extends StackAction

An action to undo the last command.

Constructor Summary
`UndoAction(IEditorPart editor)` Creates an `UndoAction` and associates it with the given editor.
`UndoAction(IWorkbenchPart part)` Creates an `UndoAction` and associates it with the given editor.

Method Summary
`protected boolean` `calculateEnabled()` Calculates and returns the enabled state of this action.
`protected void` `init()` Initializes this action's text and images.
`protected void` `refresh()` Refreshes this action's text to use the last executed command's label.
`void` `run()` Undoes the last command.

Methods inherited from class org.eclipse.gef.ui.actions.StackAction
`getLabelForCommand`

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`dispose, execute, getCommandStack, getWorkbenchPart, isEnabled, setLazyEnablementCalculation, setWorkbenchPart, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoAction

    public UndoAction(IEditorPart editor)

  Creates an `UndoAction` and associates it with the given editor.

Parameters:
  `editor` - The editor this action is associated with.

### UndoAction

    public UndoAction(IWorkbenchPart part)

  Creates an `UndoAction` and associates it with the given editor.

Parameters:
  `part` - The workbench part this action is associated with.

Method Detail

### calculateEnabled

    protected boolean calculateEnabled()

  Description copied from class: `WorkbenchPartAction`
  Calculates and returns the enabled state of this action.

  Specified by:
    `calculateEnabled` in class `WorkbenchPartAction`
  Returns:
    `true` if the action is enabled
  See Also:
    `WorkbenchPartAction.calculateEnabled()`

### init

    protected void init()

  Initializes this action's text and images.

  Overrides:
    `init` in class `WorkbenchPartAction`

### refresh

    protected void refresh()

  Refreshes this action's text to use the last executed command's label.

  Overrides:
    `refresh` in class `WorkbenchPartAction`

### run

    public void run()

  Undoes the last command.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.